Package org.jboss.resteasy.security.doseta.i18n

## Interface Messages

- All Known Implementing Classes:
    `Messages_$bundle`

      @MessageBundle(projectCode="RESTEASY")
      public interface Messages

  Version:
    $Revision: 1.1 $ Copyright Aug 29, 2015
  Author:
    Ron Sigal

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `BASE` |
    `static Messages` | `MESSAGES` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `bodyHashesDoNotMatch()` |
    `String` | `certificateNorPublicKeySet()` |
    `String` | `certificateObjectNotSet()` |
    `String` | `checkDNS​(String alias)` |
    `String` | `couldNotFindMessageBodyReader​(String className)` |
    `String` | `couldNotFindPublicKey​(DKIMSignature signature)` |
    `String` | `dnsRecordFound​(String record)` |
    `String` | `domainAttributeIsRequired()` |
    `String` | `expectedValue​(String expectedValue, String value, String attribute)` |
    `String` | `failedToFindPublicKey​(String alias)` |
    `String` | `failedToFindWriter​(String className)` |
    `String` | `failedToParseBodyHash()` |
    `String` | `failedToSign()` |
    `String` | `failedToVerifySignature()` |
    `String` | `failedToVerifySignatures()` |
    `String` | `malformedSignatureHeader​(String signature)` |
    `String` | `noKeyToVerifyWith()` |
    `String` | `noPEntry()` |
    `String` | `pem​(String pem)` |
    `String` | `privateKeyIsNull()` |
    `String` | `publicKeyIsNull()` |
    `String` | `signatureExpired()` |
    `String` | `signatureIsStale()` |
    `String` | `thereWasNoBodyHash()` |
    `String` | `thereWasNoSignatureHeader​(String signature)` |
    `String` | `unableToFindHeader​(String header, String index)` |
    `String` | `unableToFindKey()` |
    `String` | `unableToFindKeyStore​(String path)` |
    `String` | `unableToLocatePrivateKey()` |
    `String` | `unsupportedAlgorithm​(String algorithm)` |
    `String` | `unsupportedKeyType​(String type)` |

- - ### Field Detail

    - #### MESSAGES

          static final Messages MESSAGES

    - #### BASE

          static final int BASE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### bodyHashesDoNotMatch

          @Message(id=13500,
                   value="Body hashes do not match.")
          String bodyHashesDoNotMatch()

    - #### certificateNorPublicKeySet

          @Message(id=13505,
                   value="Certificate nor public key properties set")
          String certificateNorPublicKeySet()

    - #### certificateObjectNotSet

          @Message(id=13510,
                   value="The certificate object was not set.")
          String certificateObjectNotSet()

    - #### checkDNS

          @Message(id=13515,
                   value=">>>> Check DNS: %s")
          String checkDNS​(String alias)

    - #### couldNotFindMessageBodyReader

          @Message(id=13520,
                   value="Could not find a message body reader for type: %s")
          String couldNotFindMessageBodyReader​(String className)

    - #### couldNotFindPublicKey

          @Message(id=13525,
                   value="Could not find PublicKey for DKIMSignature %s")
          String couldNotFindPublicKey​(DKIMSignature signature)

    - #### dnsRecordFound

          @Message(id=13530,
                   value=">>>> DNS found record: %s")
          String dnsRecordFound​(String record)

    - #### domainAttributeIsRequired

          @Message(id=13535,
                   value="domain attribute is required in header to find a key.")
          String domainAttributeIsRequired()

    - #### expectedValue

          @Message(id=13540,
                   value="Expected value \'\'{0}\'\' got \'\'{1}\'\' for attribute \'\'{2}\'\'",
                   format=MESSAGE_FORMAT)
          String expectedValue​(String expectedValue,
                               String value,
                               String attribute)

    - #### failedToFindPublicKey

          @Message(id=13545,
                   value="Failed to find public key in DNS %s")
          String failedToFindPublicKey​(String alias)

    - #### failedToFindWriter

          @Message(id=13550,
                   value="Failed to find writer for type: %s")
          String failedToFindWriter​(String className)

    - #### failedToParseBodyHash

          @Message(id=13555,
                   value="Failed to parse body hash (bh)")
          String failedToParseBodyHash()

    - #### failedToSign

          @Message(id=13560,
                   value="Failed to sign")
          String failedToSign()

    - #### failedToVerifySignature

          @Message(id=13565,
                   value="Failed to verify signature.")
          String failedToVerifySignature()

    - #### failedToVerifySignatures

          @Message(id=13570,
                   value="Failed to verify signatures:")
          String failedToVerifySignatures()

    - #### malformedSignatureHeader

          @Message(id=13575,
                   value="Malformed %s header")
          String malformedSignatureHeader​(String signature)

    - #### noKeyToVerifyWith

          @Message(id=13580,
                   value="No key to verify with.")
          String noKeyToVerifyWith()

    - #### noPEntry

          @Message(id=13585,
                   value="No p entry in text record.")
          String noPEntry()

    - #### pem

          @Message(id=13590,
                   value="pem: %s")
          String pem​(String pem)

    - #### privateKeyIsNull

          @Message(id=13595,
                   value="private key is null, cannot sign")
          String privateKeyIsNull()

    - #### publicKeyIsNull

          @Message(id=13600,
                   value="Public key is null.")
          String publicKeyIsNull()

    - #### signatureExpired

          @Message(id=13605,
                   value="Signature expired")
          String signatureExpired()

    - #### signatureIsStale

          @Message(id=13610,
                   value="Signature is stale")
          String signatureIsStale()

    - #### thereWasNoBodyHash

          @Message(id=13615,
                   value="There was no body hash (bh) in header")
          String thereWasNoBodyHash()

    - #### thereWasNoSignatureHeader

          @Message(id=13620,
                   value="There was no %s header")
          String thereWasNoSignatureHeader​(String signature)

    - #### unableToFindHeader

          @Message(id=13625,
                   value="Unable to find header {0} {1} to sign header with",
                   format=MESSAGE_FORMAT)
          String unableToFindHeader​(String header,
                                    String index)

    - #### unableToFindKey

          @Message(id=13630,
                   value="Unable to find key to sign message. Repository returned null. ")
          String unableToFindKey()

    - #### unableToFindKeyStore

          @Message(id=13635,
                   value="Unable to find key store in path: %s")
          String unableToFindKeyStore​(String path)

    - #### unableToLocatePrivateKey

          @Message(id=13640,
                   value="Unable to locate a private key to sign message, repository is null.")
          String unableToLocatePrivateKey()

    - #### unsupportedAlgorithm

          @Message(id=13645,
                   value="Unsupported algorithm %s")
          String unsupportedAlgorithm​(String algorithm)

    - #### unsupportedKeyType

          @Message(id=13650,
                   value="Unsupported key type: %s")
          String unsupportedKeyType​(String type)